nRF51 SDK: ble_advdata_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_advdata_t Struct Reference
Advertising Data Encoder

Advertising data structure. This contains all options and data needed for encoding and setting the advertising data. More...

`#include <ble_advdata.h>`

## Data Fields

ble_advdata_name_type_t | name_type
uint8_t | short_name_len
bool | include_appearance
uint8_array_t | flags
int8_t * | p_tx_power_level
ble_advdata_uuid_list_t | uuids_more_available
ble_advdata_uuid_list_t | uuids_complete
ble_advdata_uuid_list_t | uuids_solicited
ble_advdata_conn_int_t * | p_slave_conn_int
ble_advdata_manuf_data_t * | p_manuf_specific_data
ble_advdata_service_data_t * | p_service_data_array
uint8_t | service_data_count

## Detailed Description

Advertising data structure. This contains all options and data needed for encoding and setting the advertising data.

## Field Documentation

uint8_array_t ble_advdata_t::flags

Advertising data Flags field.

bool ble_advdata_t::include_appearance

Determines if Appearance shall be included.

ble_advdata_name_type_t ble_advdata_t::name_type

Type of device name.

ble_advdata_manuf_data_t* ble_advdata_t::p_manuf_specific_data

Manufacturer specific data.

ble_advdata_service_data_t* ble_advdata_t::p_service_data_array

Array of Service data structures.

ble_advdata_conn_int_t* ble_advdata_t::p_slave_conn_int

Slave Connection Interval Range.

int8_t* ble_advdata_t::p_tx_power_level

TX Power Level field.

uint8_t ble_advdata_t::service_data_count

Number of Service data structures.

uint8_t ble_advdata_t::short_name_len

Length of short device name (if short type is specified).

ble_advdata_uuid_list_t ble_advdata_t::uuids_complete

List of UUIDs in the 'Complete' list.

ble_advdata_uuid_list_t ble_advdata_t::uuids_more_available

List of UUIDs in the 'More Available' list.

ble_advdata_uuid_list_t ble_advdata_t::uuids_solicited

List of solcited UUIDs.